Bug 226710 - net-p2p/transmission-qt[4,5]: switching to FLAVORS.
Summary: net-p2p/transmission-qt[4,5]: switching to FLAVORS.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-18 20:53 UTC by Alexandre C. Guimarães
Modified: 2018-07-15 17:03 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback-


Attachments
convert transmission-qt[4,5] to flavors. (14.28 KB, patch)
2018-05-30 20:50 UTC, Alexandre C. Guimarães
rigoletto: maintainer-approval+
Details | Diff
@qt5 | testport: OK (poudriere: 3.2.6_1, AMD64 tested) (255.50 KB, text/plain)
2018-05-31 02:25 UTC, Alexandre C. Guimarães
no flags Details
@qt4 | testport: OK (poudriere: 3.2.6_1, AMD64 tested) (241.61 KB, text/plain)
2018-05-31 02:26 UTC, Alexandre C. Guimarães
no flags Details
convert transmission-qt[4,5] to flavors. (13.38 KB, patch)
2018-06-06 16:39 UTC, Alexandre C. Guimarães
rigoletto: maintainer-approval+
Details | Diff
convert transmission-qt[4,5] to flavors. (38.32 KB, patch)
2018-07-15 15:08 UTC, Alexandre C. Guimarães
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre C. Guimarães freebsd_committer 2018-03-18 20:53:52 UTC
In the phab.

WIP: https://reviews.freebsd.org/D14699

Thanks!
Comment 1 Alexandre C. Guimarães freebsd_committer 2018-03-19 19:36:01 UTC
Done. :)
Comment 2 Alexandre C. Guimarães freebsd_committer 2018-04-17 20:57:14 UTC
Ping.
Comment 3 Alexandre C. Guimarães freebsd_committer 2018-05-30 20:50:28 UTC
Created attachment 193850 [details]
convert transmission-qt[4,5] to flavors.
Comment 4 Alexandre C. Guimarães freebsd_committer 2018-05-31 02:25:45 UTC
Created attachment 193857 [details]
@qt5 | testport: OK (poudriere: 3.2.6_1, AMD64 tested)
Comment 5 Alexandre C. Guimarães freebsd_committer 2018-05-31 02:26:33 UTC
Created attachment 193858 [details]
@qt4 | testport: OK (poudriere: 3.2.6_1, AMD64 tested)
Comment 6 Alexandre C. Guimarães freebsd_committer 2018-06-06 16:39:23 UTC
Created attachment 194047 [details]
convert transmission-qt[4,5] to flavors.

Bring some changes requested on the Phab.

Thanks.
Comment 7 Tobias C. Berner freebsd_committer 2018-06-21 17:33:39 UTC
maintainer timeout
Comment 8 Alexandre C. Guimarães freebsd_committer 2018-07-15 15:08:19 UTC
Created attachment 195153 [details]
convert transmission-qt[4,5] to flavors.
Comment 9 commit-hook freebsd_committer 2018-07-15 17:01:53 UTC
A commit references this bug:

Author: tcberner
Date: Sun Jul 15 17:01:09 UTC 2018
New revision: 474704
URL: https://svnweb.freebsd.org/changeset/ports/474704

Log:
  net-p2p/transmission* -- update and falvorize

  * update to 2.94
  * flavorize the Qt frontends
  * give maintainership to lebarondemerde@privacychain.ch

  PR:		226710
  Approved by:	portmgr (mat), crees (previous maintainer)
  Differential Revision:	https://reviews.freebsd.org/D14699

Changes:
  head/MOVED
  head/net-p2p/Makefile
  head/net-p2p/transmission/Makefile
  head/net-p2p/transmission-cli/Makefile
  head/net-p2p/transmission-cli/distinfo
  head/net-p2p/transmission-cli/files/disable-web
  head/net-p2p/transmission-cli/files/patch-CMakeLists.txt
  head/net-p2p/transmission-cli/files/patch-cmake_FindDHT.cmake
  head/net-p2p/transmission-cli/files/patch-configure
  head/net-p2p/transmission-cli/files/patch-fix-with-libressl
  head/net-p2p/transmission-cli/files/patch-fix_without_ipv6
  head/net-p2p/transmission-cli/files/patch-libtransmission_CMakeLists.txt
  head/net-p2p/transmission-cli/files/patch-libtransmission_crypto-utils-openssl.c
  head/net-p2p/transmission-cli/files/patch-qt-app-h
  head/net-p2p/transmission-cli/files/patch-qt_Application.h
  head/net-p2p/transmission-cli/files/patch-qt_qtr_pro
  head/net-p2p/transmission-cli/pkg-plist
  head/net-p2p/transmission-daemon/Makefile
  head/net-p2p/transmission-daemon/pkg-plist
  head/net-p2p/transmission-gtk/Makefile
  head/net-p2p/transmission-gtk/pkg-plist
  head/net-p2p/transmission-qt/
  head/net-p2p/transmission-qt/Makefile
  head/net-p2p/transmission-qt/pkg-descr
  head/net-p2p/transmission-qt/pkg-plist
  head/net-p2p/transmission-qt4/
  head/net-p2p/transmission-qt5/
  head/www/transmission-web/Makefile
Comment 10 Tobias C. Berner freebsd_committer 2018-07-15 17:03:42 UTC
Finally committed. Thanks for the patch :)